%define upstream_name	fdb

Name:		python-fdb
Summary:	Firebird RDBMS bindings for Python
Version:	2.0.1
Release:	%mkrel 1
Source0:	https://pypi.io/packages/source/f/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
URL:		www.firebirdsql.org/
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	firebird-devel
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)

%description
Set of Firebird RDBMS bindings for Python.


%package -n python3-%{upstream_name}
Summary:        Firebird RDBMS bindings for Python 3
%{?python_provide:%python_provide python3-%{upstream_name}}
Provides:       python-fdb = %{version}-%{release}
Requires:       firebird-utils


%description -n python3-%{upstream_name}
Set of Firebird RDBMS bindings for Python 3.


%prep
%autosetup -n %{upstream_name}-%{version}
rm -rf %{upstream_name}.egg-info


%build
%py3_build


%install
%py3_install


%files -n python3-%{upstream_name}
%doc README.rst
%license LICENSE.TXT
%{python3_sitelib}/*



%changelog
* Tue Sep 29 2020 philippem <philippem> 2.0.1-1.mga8
+ Revision: 1631075
- New upstream release 2.0.1

* Sun Feb 16 2020 umeabot <umeabot> 2.0.0-5.mga8
+ Revision: 1535843
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 2.0.0-4.mga8
+ Revision: 1452709
- rebuild with python 3.8

* Sun Jan 13 2019 daviddavid <daviddavid> 2.0.0-3.mga7
+ Revision: 1355825
- fix dependencies

* Tue Jan 08 2019 shlomif <shlomif> 2.0.0-2.mga7
+ Revision: 1352707
- Rebuild for python3 3.7

* Thu Nov 22 2018 philippem <philippem> 2.0.0-1.mga7
+ Revision: 1333355
- package is Python3 only now
- update to new release 2.0.0

* Thu Sep 20 2018 umeabot <umeabot> 1.8-2.mga7
+ Revision: 1288850
- Mageia 7 Mass Rebuild

* Thu Mar 22 2018 philippem <philippem> 1.8-1.mga7
+ Revision: 1211228
- update to 1.8

* Wed Aug 09 2017 philippem <philippem> 1.7-3.mga7
+ Revision: 1139254
- add python2 rpm

* Sat Aug 05 2017 pterjan <pterjan> 1.7-2.mga7
+ Revision: 1135419
- Rebuild for python 3.6

* Tue Feb 21 2017 philippem <philippem> 1.7-1.mga6
+ Revision: 1087215
- update to 1.7

* Wed Mar 30 2016 philippem <philippem> 1.6-1.mga6
+ Revision: 996869
- update to 1.6

* Fri Feb 26 2016 philippem <philippem> 1.5.1-1.mga6
+ Revision: 979457
- update to 1.5.1

* Sun Jan 17 2016 philippem <philippem> 1.5-1.mga6
+ Revision: 924987
- fix Python3 build
- update to 1.5

* Thu Nov 12 2015 philippem <philippem> 1.4.11-1.mga6
+ Revision: 902938
- update to 1.4.11

* Sat Oct 10 2015 tv <tv> 1.4.10-2.mga6
+ Revision: 888768
- rebuild for python 3.5 + fixed summary

* Sun Sep 06 2015 philippem <philippem> 1.4.10-1.mga6
+ Revision: 873368
- update to 1.4.10, use new python macros

* Sun Aug 30 2015 philippem <philippem> 1.4.9-1.mga6
+ Revision: 871225
- update to 1.4.9

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-4.mga5
+ Revision: 748309
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.1-3.mga5
+ Revision: 726916
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-2.mga5
+ Revision: 688028
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 philippem <philippem> 1.4.1-1.mga5
+ Revision: 671465
- update to 1.4.1

* Sat May 31 2014 pterjan <pterjan> 1.4-5.mga5
+ Revision: 628637
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.4-4.mga4
+ Revision: 544849
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 1.4-3.mga4
+ Revision: 500411
- remove dot in summary
- remove no need fdupes
- be ready for byte compiling
+ pterjan <pterjan>
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jul 08 2013 philippem <philippem> 1.4-1.mga4
+ Revision: 451415
- Update to 1.4

* Sun Jan 13 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 378826
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 philippem <philippem> 0.9.9-1.mga3
+ Revision: 324115
- update to 0.9.9

* Fri Oct 12 2012 philippem <philippem> 0.9.1-2.mga3
+ Revision: 305063
- Fix upstream bug PYFB-22

* Tue Oct 09 2012 philippem <philippem> 0.9.1-1.mga3
+ Revision: 303986
- Upgrade to 0.9.1

* Sat Sep 29 2012 fwang <fwang> 0.8.5-3.mga3
+ Revision: 300373
- rebuild for py3.3

* Sat Sep 29 2012 philippem <philippem> 0.8.5-2.mga3
+ Revision: 300275
- imported package python-fdb

